## ncbi-blast+ 2.6.0

=== c++/src/misc/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake/src/misc/Makefile.in
#

# Include projects from this directory

# Recurse subdirectories
add_subdirectory_optional(third_party)
add_subdirectory_optional(third_party_static)
add_subdirectory_optional(clog)
add_subdirectory_optional(grid_cgi)
add_subdirectory_optional(xmlwrapp)
add_subdirectory_optional(eutils_client)
add_subdirectory_optional(hydra_client)
add_subdirectory_optional(discrepancy_report)
add_subdirectory_optional(discrepancy)
add_subdirectory_optional(xmlreaders)
add_subdirectory_optional(hgvs)
add_subdirectory_optional(netstorage)
add_subdirectory_optional(jsonwrapp)
add_subdirectory_optional(biosample_util)
add_subdirectory_optional(data_loaders_util)

=== c++/src/misc/third_party/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake.2015-01-24/src/misc/third_party/Makefile.in
#

# Include projects from this directory

=== c++/src/misc/third_party_static/CMakeLists.txt ===
##############################################################################
# CMakeLists.txt autogenerated from /export/home/dicuccio/cpp-cmake/cpp-cmake.2015-01-24/src/misc/third_party_static/Makefile.in
#

# Include projects from this directory

## ncbi-blast+ 2.2.25

=== debian/changelog ===
ncbi-blast+ (2.2.25-6) unstable; urgency=low

   * debian/control:
     Luca Capello <luca@pca.it>, fix reference for legacy_blast (Closes: #642986).
     + add a new line to separate the actual description from usage
      instruction in the long Description:.
   * debian/rules: add gene_info_reader binary in package

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Fri, 30 Sep 2011 12:31:05 -0400

ncbi-blast+ (2.2.25-5) unstable; urgency=low

  * Team upload.
  * debian/patches/hurd_fixes: further patch configure(.ac) to reflect
    -Wl,rpath,... support.  (Closes: #629656.)
  * debian/patches/fix_lib_deps: link makembindex and srsearch against
    libxconnect rather than libconnect for consistency with libblast,
    which uses the former for consistency with other projects.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 29 Aug 2011 12:31:05 -0400

ncbi-blast+ (2.2.25-4) unstable; urgency=low

  [ Aaron M. Ucko ]
  * Team upload.
  * debian/patches/support_other_cpus: belatedly add a descriptive header.
  * debian/patches/hurd_fixes: new; fix hurd-specific issues.
    (In conjunction with the following change, finally closes: #629656.)
  * debian/control:
    - Build-Depends += libc0.3-dev (>= 2.13-9~) [hurd-i386] to avoid #630180.
    - Declare both binary packages as Multi-Arch: foreign.
  * debian/patches/fix_lib_deps: new; ensure that all libraries link against
    all direct dependencies.  (Break the dependency loop between libxblast
    and libxalgoblastdbindex by having the former provide only the C++ BLAST
    API, leaving the C core only in libblast.)  (Closes: #633567.)
  * debian/rules: tweak LDFLAGS, supplying -Wl,--as-needed across the
    board (as it is now safe to do so) and adding -Wl,--enable-new-dtags
    to allow LD_LIBRARY_PATH to override the private rpath.
  * debian/patches/no_multiarch_rpath: new; avoid redundant rpath entries
    on multiarch systems (courtesy of overzealous logic to ensure
    executables will be able to find libstdc++.)

  [ Andreas Tille ]
  * Enhances: t-coffee (as stated in tasks file)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Aug 2011 18:45:19 -0400

ncbi-blast+ (2.2.25-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    - Export MAKE to override an internal upstream build script that
      otherwise incorrectly defaults to gmake on non-Linux
      architectures. (Really closes: #629656, with any luck.)
    - Force CONFIG_SHELL=/bin/bash to avoid lossage that can occur with zsh4
      masquerading as ksh, which configure otherwise favors (due to complaints
      from users with broken BASH_ENV scripts that change directories).

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 09 Jun 2011 19:25:45 -0400

ncbi-blast+ (2.2.25-2) unstable; urgency=low

  * Team upload.
  * Fix several sources of build failures (closes: #629656):
    - debian/rules (override_dh_install): Correctly support building only
      architecture-dependent packages.
      (DEB_CONFIGURE_EXTRA_FLAGS): Add --without-caution to override the
      upstream build system's reluctance to build shared libraries on the
      Hurd or kFreeBSD, which it doesn't specifically recognize.  Limit C++
      optimization level to -O (rather than the default -O2) on mips(el),
      on which g++ otherwise crashes. :-/
    - debian/patches/support_other_cpus (new; committed upstream too):
      build correctly on architectures that wound up defining
      NCBI_SLOW_ATOMIC_SWAP (spuriously in the case of powerpc,
      whose detection the patch fixes as well).

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 08 Jun 2011 21:42:52 -0400

ncbi-blast+ (2.2.25-1) unstable; urgency=low

  * Initial release (Closes: #624394) 

 -- Olivier Sallou <olivier.sallou@irisa.fr>  Wed, 08 Jun 2011 00:15:15 +0200

=== debian/control ===
Source: ncbi-blast+
Section: science
Priority: optional
Build-Depends: debhelper (>= 7.0.50~), autotools-dev (>= 20100122), libbz2-dev, libpcre3-dev, zlib1g-dev, libboost-test-dev, quilt (>= 0.46-7~), time, libc0.3-dev (>= 2.13-9~) [hurd-i386]
Standards-Version: 3.9.2
Uploaders: Olivier Sallou <olivier.sallou@irisa.fr>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/ncbi-blast+/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ncbi-blast+/trunk/

Package: ncbi-blast+
Architecture: any
Enhances: t-coffee
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ncbi-data
Multi-Arch: foreign
Description: next generation suite of BLAST sequence search tools
 The Basic Local Alignment Search Tool (BLAST) is the most widely
 used sequence similarity tool. There are versions of BLAST that 
 compare protein queries to protein databases, nucleotide queries 
 to nucleotide databases, as well as versions that translate nucleotide 
 queries or databases in all six frames and compare to protein databases 
 or queries.
 PSI-BLAST produces a position-specific-scoring-matrix (PSSM) starting 
 with a protein query, and then uses that PSSM to perform further searches.
 It is also possible to compare a protein or nucleotide query to a 
 database of PSSM’s.
 The NCBI supports a BLAST web page at blast.ncbi.nlm.nih.gov as well as
 a network service.

Package: ncbi-blast+-legacy
Architecture: all
Depends: ncbi-blast+, ${misc:Depends}
Multi-Arch: foreign
Description: NCBI Blast legacy call script
 This package adds some fake scripts to call NCBI+ programs
 with the NCBI blast command line. It makes use of the
 legacy_blast script in ncbi-blast+ package.
 .
 To use those scripts, /usr/share/ncbi-blast+/bin must be added
 to the PATH.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
    --without-makefile-auto-update --with-flat-makefile --without-caution \
    --without-dbapi --without-lzo --with-runpath=/usr/lib/ncbi-blast+ \
    --with-build-root=BUILD LDFLAGS='-Wl,--as-needed -Wl,--enable-new-dtags'
proj=algo/blast/ app/ objmgr/ objtools/align_format/ objtools/blast/

# XXX - not quite right, as we get -DNDEBUG vs. -D_DEBUG
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CONFIGURE_EXTRA_FLAGS += --without-debug
else
DEB_CONFIGURE_EXTRA_FLAGS += --with-optimization
endif

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(findstring mips,$(DEB_HOST_ARCH)))
DEB_CONFIGURE_EXTRA_FLAGS += CXXFLAGS=-O FAST_CXXFLAGS=-O
endif

export MAKE

llp=LD_LIBRARY_PATH
override_dh_auto_configure:
	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	cd c++/BUILD/build  &&  make -f Makefile.flat all_projects="$(proj)"

override_dh_auto_test:
	-dh_auto_test
	-c++/BUILD/build/check.sh concat_err
	-cat c++/BUILD/build/check.sh.out_err

instroot = debian/ncbi-blast+/usr
leg_bin = debian/ncbi-blast+-legacy/usr/share/ncbi-blast+/bin
override_dh_auto_install:
	cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
	cp c++/BUILD/bin/*    $(instroot)/bin/

override_dh_install:
	# dh_install
	mv $(instroot)/bin/rpsblast $(instroot)/bin/rpsblast+
	mv $(instroot)/bin/legacy_blast.pl   $(instroot)/bin/legacy_blast
	mv $(instroot)/bin/update_blastdb.pl $(instroot)/bin/update_blastdb
	mv $(instroot)/bin/windowmasker_2.2.22_adapter.py \
	   $(instroot)/bin/windowmasker_2.2.22_adapter
# Clean up tests, demos, and internal build tools
	rm -f $(instroot)/bin/*test* $(instroot)/bin/seqdb_demo \
	    $(instroot)/bin/datatool \
	    $(instroot)/bin/project_tree_builder \
	    $(instroot)/lib/ncbi-blast+/libtest_*.so

	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi

override_dh_clean:
	dh_clean
	-for x in c++/src/objects/*/*.files; do \
	    (cd `dirname $$x`  &&  ../../../BUILD/build/new_module.sh \
		`basename $$x .files`.module purge_sources); \
	done
	rm -rf c++/BUILD c++/compilers/dll c++/config.log c++/Makefile
	rm -f c++/src/objects/blastxml/blastxml.module

%:
	dh $@ -Dc++ --with autotools_dev --with quilt

get-orig-source:
	. debian/get-orig-source

## ncbi-blast+ 2.2.26

=== debian/changelog ===
ncbi-blast+ (2.2.26-3) unstable; urgency=low

  [ Aaron M. Ucko ]
  * debian/patches/fix_gcc47_errors: fix various GCC 4.7 compilation
    errors and warnings.  (Closes: #669679.)
    - Explicitly qualify more dependent names originating in base templates.
    - Directly #include headers as needed.
    - Use modern syntax for making protected base members public.
    - Add forward declarations as needed.
  * Wrap and sort build dependencies to ease maintenance thereof.
  * Enable full hardening flags, introducing a small patch
    (use_pie_for_apps) to reflect the need to build executables and
    libraries differently.
  * Use upstream's new --with-symbols flag in nostrip builds.

  [ Andreas Tille ]
  * debian/control: Modernize Vcs-* fields.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 10 May 2012 23:42:49 -0400

ncbi-blast+ (2.2.26-2) unstable; urgency=low

  * debian/patches/wrong_path_to_touch.patch :Fix upstream FTBFS on the Hurd
    hardcodes wrong path to touch (Closes: #663244)

 -- Olivier Sallou <osallou@debian.org>  Wed, 07 Mar 2012 17:29:23 +0100

ncbi-blast+ (2.2.26-1) unstable; urgency=low

  [ Olivier Sallou ]
  * New upstream release 
  * Remove some patches, applied upstream

  [ Andreas Tille]
  * debian/copyright: Added Upstream-Contact

 -- Olivier Sallou <osallou@debian.org>  Wed, 07 Mar 2012 09:37:10 +0100

ncbi-blast+ (2.2.25-7) unstable; urgency=low

  * Do not output everything to STDERR in
    c++/src/app/blast/update_blastdb.pl
    Closes: #644237
  * debian/control: Depends s/${python:Depends}/python/ because
    the python dependency of /usr/bin/windowmasker_2.2.22_adapter
    is not detected obviosely
  * debian/copyright: Indentation fixes to get DEP5 compatibility

 -- Andreas Tille <tille@debian.org>  Wed, 21 Dec 2011 15:47:04 +0100

=== debian/control ===
Source: ncbi-blast+
Section: science
Priority: optional
Build-Depends: autotools-dev (>= 20100122),
               debhelper (>= 7.0.50~),
	       dpkg-dev (>= 1.16.1),
               libboost-test-dev,
               libbz2-dev,
               libc0.3-dev (>= 2.13-9~) [hurd-i386],
               libpcre3-dev,
               quilt (>= 0.46-7~),
               time,
               zlib1g-dev
Standards-Version: 3.9.3
Uploaders: Olivier Sallou <osallou@debian.org>, Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ncbi-blast+/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ncbi-blast+/trunk/

Package: ncbi-blast+
Architecture: any
Enhances: t-coffee
Depends: ncbi-data, python, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: next generation suite of BLAST sequence search tools
 The Basic Local Alignment Search Tool (BLAST) is the most widely
 used sequence similarity tool. There are versions of BLAST that
 compare protein queries to protein databases, nucleotide queries
 to nucleotide databases, as well as versions that translate nucleotide
 queries or databases in all six frames and compare to protein databases
 or queries.
 PSI-BLAST produces a position-specific-scoring-matrix (PSSM) starting
 with a protein query, and then uses that PSSM to perform further searches.
 It is also possible to compare a protein or nucleotide query to a
 database of PSSM’s.
 The NCBI supports a BLAST web page at blast.ncbi.nlm.nih.gov as well as
 a network service.

Package: ncbi-blast+-legacy
Architecture: all
Depends: ncbi-blast+, ${misc:Depends}
Multi-Arch: foreign
Description: NCBI Blast legacy call script
 This package adds some fake scripts to call NCBI+ programs
 with the NCBI blast command line. It makes use of the
 legacy_blast script in ncbi-blast+ package.
 .
 To use those scripts, /usr/share/ncbi-blast+/bin must be added
 to the PATH.

=== debian/rules ===
--- 
+++ 
@@ -7,22 +7,28 @@
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
     --without-makefile-auto-update --with-flat-makefile --without-caution \
     --without-dbapi --without-lzo --with-runpath=/usr/lib/ncbi-blast+ \
-    --with-build-root=BUILD LDFLAGS='-Wl,--as-needed -Wl,--enable-new-dtags'
+    --with-build-root=BUILD --without-debug
 proj=algo/blast/ app/ objmgr/ objtools/align_format/ objtools/blast/
 
-# XXX - not quite right, as we get -DNDEBUG vs. -D_DEBUG
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-DEB_CONFIGURE_EXTRA_FLAGS += --without-debug
-else
-DEB_CONFIGURE_EXTRA_FLAGS += --with-optimization
+ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+DEB_CONFIGURE_EXTRA_FLAGS += --with-symbols
 endif
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+
 ifneq (,$(findstring mips,$(DEB_HOST_ARCH)))
-DEB_CONFIGURE_EXTRA_FLAGS += CXXFLAGS=-O FAST_CXXFLAGS=-O
+CXXFLAGS := $(CXXFLAGS:-O%=-O)
+DEB_CONFIGURE_EXTRA_FLAGS += FAST_CXXFLAGS=-O
 endif
 
-export MAKE
+export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MAKE
 
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
@@ -30,7 +36,9 @@
 	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
 
 override_dh_auto_build:
-	cd c++/BUILD/build  &&  make -f Makefile.flat all_projects="$(proj)"
+	cd c++/BUILD/build  && \
+	    make -f Makefile.flat all_projects="$(proj)" \
+	      APP_LDFLAGS='-Wl,-E -fPIE -pie'
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -65,7 +73,7 @@
 		`basename $$x .files`.module purge_sources); \
 	done
 	rm -rf c++/BUILD c++/compilers/dll c++/config.log c++/Makefile
-	rm -f c++/src/objects/blastxml/blastxml.module
+	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
 
 %:
 	dh $@ -Dc++ --with autotools_dev --with quilt

## ncbi-blast+ 2.2.27

=== debian/changelog ===
ncbi-blast+ (2.2.27-3) unstable; urgency=low

  * debian/series: active patch fix_arm_mips_build (Closes: #688661).

 -- Olivier Sallou <osallou@debian.org>  Fri, 05 Oct 2012 11:03:03 +0200

ncbi-blast+ (2.2.27-2) unstable; urgency=low

  * debian/patches/fix_arm_mips_build: Fix FTBS on ARM and MIPS
    (Closes: #688661).
  * debian/rules: rename seedtop to seedtop+ to avoid blast2 conflict
    (Closes: #688684).

 -- Olivier Sallou <osallou@debian.org>  Mon, 24 Sep 2012 09:28:29 +0200

ncbi-blast+ (2.2.27-1) unstable; urgency=low

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Sep 2012 17:25:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,7 @@
 override_dh_install:
 	# dh_install
 	mv $(instroot)/bin/rpsblast $(instroot)/bin/rpsblast+
+	mv $(instroot)/bin/seedtop $(instroot)/bin/seedtop+
 	mv $(instroot)/bin/legacy_blast.pl   $(instroot)/bin/legacy_blast
 	mv $(instroot)/bin/update_blastdb.pl $(instroot)/bin/update_blastdb
 	mv $(instroot)/bin/windowmasker_2.2.22_adapter.py \
@@ -69,8 +70,10 @@
 override_dh_clean:
 	dh_clean
 	-for x in c++/src/objects/*/*.files; do \
+	  if [ -d $$x ]; then \
 	    (cd `dirname $$x`  &&  ../../../BUILD/build/new_module.sh \
 		`basename $$x .files`.module purge_sources); \
+	  fi \
 	done
 	rm -rf c++/BUILD c++/compilers/dll c++/config.log c++/Makefile
 	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module

## ncbi-blast+ 2.2.28

=== debian/changelog ===
ncbi-blast+ (2.2.28-2) unstable; urgency=low

  * debian/patches/use_pie_for_apps: Explicitly build all executables with
    -fPIE -pie, to avoid giving project_tree_builder a partial PIE
    treatment that now fails on mips and mipsel.  (Closes: #710807.)
  * debian/rules: Retire redundant APP_LDFLAGS override.
  * Standards-Version: 3.9.4.  (Already compliant.)
  
 -- Aaron M. Ucko <ucko@debian.org>  Sun, 02 Jun 2013 23:00:44 -0400

ncbi-blast+ (2.2.28-1) unstable; urgency=low

  * New upstream release
    - Thanks to Tim Booth for package update help.

 -- Olivier Sallou <osallou@debian.org>  Sat, 01 Jun 2013 08:40:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: science
 Priority: optional
 Build-Depends: autotools-dev (>= 20100122),
-               debhelper (>= 7.0.50~),
-	       dpkg-dev (>= 1.16.1),
+               debhelper (>= 9),
+               dpkg-dev (>= 1.16.1),
                libboost-test-dev,
                libbz2-dev,
                libc0.3-dev (>= 2.13-9~) [hurd-i386],
                libpcre3-dev,
-               quilt (>= 0.46-7~),
+               quilt,
                time,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Uploaders: Olivier Sallou <osallou@debian.org>, Andreas Tille <tille@debian.org>
-DM-Upload-Allowed: yes
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ncbi-blast+/trunk/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
     --without-makefile-auto-update --with-flat-makefile --without-caution \
@@ -14,7 +15,10 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --with-symbols
 endif
 
+#export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_CFLAGS_MAINT_APPEND=-Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -30,6 +34,7 @@
 
 export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MAKE
 
+
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
 	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
@@ -37,8 +42,7 @@
 
 override_dh_auto_build:
 	cd c++/BUILD/build  && \
-	    make -f Makefile.flat all_projects="$(proj)" \
-	      APP_LDFLAGS='-Wl,-E -fPIE -pie'
+	    make -f Makefile.flat all_projects="$(proj)"
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -69,14 +73,22 @@
 
 override_dh_clean:
 	dh_clean
-	-for x in c++/src/objects/*/*.files; do \
-	  if [ -d $$x ]; then \
-	    (cd `dirname $$x`  &&  ../../../BUILD/build/new_module.sh \
-		`basename $$x .files`.module purge_sources); \
-	  fi \
+	#Tricky - for each module directory there may be several module files
+	#or there may be none but then there is still a module named after the
+	#directory.  Clean everything!
+	-for x in c++/src/objects/* ; do \
+	    (cd "$$x"  && ( \
+		mods="`echo *.module`" ; \
+		[ "$${mods#*\*}" = "$$mods" ] || mods="`basename $$x`" ; \
+		for mod in $$mods ; do \
+       		    ../../../BUILD/build/new_module.sh $$mod purge_sources ; \
+		done ) ; \
+	    ) ; \
 	done
-	rm -rf c++/BUILD c++/compilers/dll c++/config.log c++/Makefile
+	rm -rf c++/compilers/dll c++/config.log c++/Makefile
 	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
+	find -name check_exec.pid -delete
+	rm -rf c++/BUILD
 
 %:
 	dh $@ -Dc++ --with autotools_dev --with quilt

## ncbi-blast+ 2.2.29

=== debian/changelog ===
ncbi-blast+ (2.2.29-3) unstable; urgency=medium

  * debian/patches/include_typeinfo: Patch include/corelib/ncbistl.hpp to
    ensure sufficient coverage; fix typos in patch headers.  (Closes: #753190.)
  * Standards-Version: 3.9.4.  (Already compliant.)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 01 Jul 2014 18:27:46 -0400

ncbi-blast+ (2.2.29-2) unstable; urgency=medium

  * d/patches/include_typeinfo (Closes: #753190).

 -- Olivier Sallou <osallou@debian.org>  Sat, 07 Jun 2014 11:28:22 +0200

ncbi-blast+ (2.2.29-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Fri, 06 Jun 2014 22:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                quilt,
                time,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Uploaders: Olivier Sallou <osallou@debian.org>, Andreas Tille <tille@debian.org>
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/

=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
 
 override_dh_clean:
+	cp c++/configure.orig configure.orig.save
 	dh_clean
 	#Tricky - for each module directory there may be several module files
 	#or there may be none but then there is still a module named after the
@@ -89,6 +90,7 @@
 	rm -f c++/configure.lineno c++/src/objects/blastxml/blastxml.module
 	find -name check_exec.pid -delete
 	rm -rf c++/BUILD
+	mv configure.orig.save c++/configure.orig
 
 %:
 	dh $@ -Dc++ --with autotools_dev --with quilt

## ncbi-blast+ 2.2.30

=== debian/changelog ===
ncbi-blast+ (2.2.30-4build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:44 +0000

ncbi-blast+ (2.2.30-4) unstable; urgency=medium

  * d/patches/fix_compilation: Add an upstream patch to
    include/util/bitset/bmconst.h to fix builds with GCC 5 on platforms
    such as arm64 on which char is unsigned.  (Closes: #790667.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 02 Jul 2015 16:22:39 -0400

ncbi-blast+ (2.2.30-3) unstable; urgency=medium

  * Switch to unstable after unfreeze.

 -- Olivier Sallou <osallou@debian.org>  Mon, 18 May 2015 14:34:50 +0200

ncbi-blast+ (2.2.30-2) experimental; urgency=medium

  * d/patches/allow_gcc5 (new): Allow compilation with GCC 5, per upstream.
    (Closes: #778021.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 16 Feb 2015 22:38:50 -0500

ncbi-blast+ (2.2.30-1) experimental; urgency=medium

  * New upstream release
  * d/control: switch to Standards 3.9.6 
               fix svn url
  * d/patches/fix_compilation: fix compilation issue

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Nov 2014 18:21:26 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                quilt,
                time,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Uploaders: Olivier Sallou <osallou@debian.org>, Andreas Tille <tille@debian.org>
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ncbi-blast+/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ncbi-blast+/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ncbi-blast+/trunk/
 
 Package: ncbi-blast+

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,9 @@
 override_dh_auto_build:
 	cd c++/BUILD/build  && \
 	    make -f Makefile.flat all_projects="$(proj)"
+#	   make all_r
+
+
 
 override_dh_auto_test:
 	-dh_auto_test

## ncbi-blast+ 2.2.31

=== debian/changelog ===
ncbi-blast+ (2.2.31-4) unstable; urgency=medium

  * Really enable building architecture independent package separately
    Closes: #809120
  * Save time and do nothing for architecture independent builds

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jan 2016 18:50:31 +0100

ncbi-blast+ (2.2.31-3) unstable; urgency=medium

  * Drop explicite mentioning of quilt
  * Enable building architecture independent package separately
    Closes: #809120
  * Override false lintian error
  * DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Mon, 28 Dec 2015 12:32:23 +0100

ncbi-blast+ (2.2.31-2) unstable; urgency=medium

  * Fix a long-standing typo for GNU/kFreeBSD FTBS (Aaron M. Ucko) 

 -- Olivier Sallou <osallou@debian.org>  Fri, 11 Dec 2015 09:44:43 +0100

ncbi-blast+ (2.2.31-1) unstable; urgency=medium

  * New upstream release 
  * Allow parallel build (Closes: #798277). Thanks to Aron Xu <aron@debian.org>
  * GCC break fix (recompile with gcc5, Closes: #793263).

 -- Olivier Sallou <osallou@debian.org>  Thu, 10 Dec 2015 13:37:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                libbz2-dev,
                libc0.3-dev (>= 2.13-9~) [hurd-i386],
                libpcre3-dev,
-               quilt,
                time,
                zlib1g-dev
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+NUMJOBS=1
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
 
 
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
@@ -40,12 +45,13 @@
 	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
 	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	cd c++/BUILD/build  && \
-	    make -f Makefile.flat all_projects="$(proj)"
+	    make -j$(NUMJOBS) -f Makefile.flat all_projects="$(proj)"
 #	   make all_r
 
-
+override_dh_auto_build-indep:
+	echo "Save time and do nothing for architecture independent builds"
 
 override_dh_auto_test:
 	-dh_auto_test
@@ -54,11 +60,14 @@
 
 instroot = debian/ncbi-blast+/usr
 leg_bin = debian/ncbi-blast+-legacy/usr/share/ncbi-blast+/bin
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
 	cp c++/BUILD/bin/*    $(instroot)/bin/
 
-override_dh_install:
+override_dh_auto_install-indep:
+	echo "Nothing to do for architecture independant installs"
+
+override_dh_install-arch:
 	# dh_install
 	mv $(instroot)/bin/rpsblast $(instroot)/bin/rpsblast+
 	mv $(instroot)/bin/seedtop $(instroot)/bin/seedtop+
@@ -72,6 +81,7 @@
 	    $(instroot)/bin/project_tree_builder \
 	    $(instroot)/lib/ncbi-blast+/libtest_*.so
 
+override_dh_install-indep:
 	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
 
 override_dh_clean:
@@ -96,7 +106,7 @@
 	mv configure.orig.save c++/configure.orig
 
 %:
-	dh $@ -Dc++ --with autotools_dev --with quilt
+	dh $@ -Dc++ --with autotools_dev
 
 get-orig-source:
 	. debian/get-orig-source

## ncbi-blast+ 2.4.0

=== debian/changelog ===
ncbi-blast+ (2.4.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 30 Aug 2016 08:56:56 +0200

ncbi-blast+ (2.4.0-3) unstable; urgency=medium

  * debian/rules:
    - Properly build (but don't install) run_with_lock. (Closes: #833538.)
    - Comment out nostrip check, which yielded a useless dbgsym package.
  * Reinstate and refresh the hurd_fixes patch, which mostly still applies.
    (Closes: #833539.)
  * Add a new support_x32 patch to avoid picking up wrong inline assembly.
    (Closes: #833541.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 05 Aug 2016 19:47:24 -0400

ncbi-blast+ (2.4.0-2) unstable; urgency=medium

  * Import upstream patch for remaining Boost compatibility issues
    as debian/patches/support_recent_boost.  (Closes: #833451.)
  * debian/rules: Automatically determine which libraries are needed.
    (The hand-maintained blacklist was incomplete.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 04 Aug 2016 23:08:20 -0400

ncbi-blast+ (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches; drop fix_kfreebsd_ftbs.patch (applied upstream).
  * Import upstream patch to fix Boost version detection (which missed the
    2.4.0 release branch) as debian/patches/fix_version_extraction.
  * fix_lib_deps: List taxon1 in align_format's overridden DLL_LIB, in
    large part to ensure its headers are generated on time; generally fix
    remaining cases of underlinkage (several longstanding).
  * debian/rules: Build --without-downloaded-vdb, to avoid trying to go to
    Github for code that BLAST+ doesn't even use.  (Other parts of the C++
    Toolkit do.)
  * debian/control: Go ahead and add myself to Uploaders.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 03 Aug 2016 21:40:00 -0400

ncbi-blast+ (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtest added 

 -- Canberk Koç <canberkkoc@gmail.com>  Tue, 02 Aug 2016 03:32:09 +0300

ncbi-blast+ (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging to Git
  * cme fix dpkg-control
  * drop get-orig-source target which is simply the usual uscan call

 -- Andreas Tille <tille@debian.org>  Tue, 12 Apr 2016 14:54:08 +0200

=== debian/control ===
Source: ncbi-blast+
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>,
	   Aaron M. Ucko <ucko@debian.org>
Section: science
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libboost-test-dev,
               libbz2-dev,
               libc-dev-bin,
               libpcre3-dev,
               time,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ncbi-blast+.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/ncbi-blast+.git
Homepage: http://www.ncbi.nlm.nih.gov/IEB/ToolBox/CPP_DOC/

Package: ncbi-blast+
Architecture: any
Multi-Arch: foreign
Depends: ncbi-data,
         python,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Enhances: t-coffee
Description: next generation suite of BLAST sequence search tools
 The Basic Local Alignment Search Tool (BLAST) is the most widely
 used sequence similarity tool. There are versions of BLAST that
 compare protein queries to protein databases, nucleotide queries
 to nucleotide databases, as well as versions that translate nucleotide
 queries or databases in all six frames and compare to protein databases
 or queries.
 PSI-BLAST produces a position-specific-scoring-matrix (PSSM) starting
 with a protein query, and then uses that PSSM to perform further searches.
 It is also possible to compare a protein or nucleotide query to a
 database of PSSM’s.
 The NCBI supports a BLAST web page at blast.ncbi.nlm.nih.gov as well as
 a network service.

Package: ncbi-blast+-legacy
Architecture: all
Multi-Arch: foreign
Depends: ncbi-blast+,
         ${misc:Depends}
Description: NCBI Blast legacy call script
 This package adds some fake scripts to call NCBI+ programs
 with the NCBI blast command line. It makes use of the
 legacy_blast script in ncbi-blast+ package.
 .
 To use those scripts, /usr/share/ncbi-blast+/bin must be added
 to the PATH.

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,12 @@
 DEB_CONFIGURE_EXTRA_FLAGS=--with-dll --with-mt --without-autodep \
     --without-makefile-auto-update --with-flat-makefile --without-caution \
     --without-dbapi --without-lzo --with-runpath=/usr/lib/ncbi-blast+ \
-    --with-build-root=BUILD --without-debug
+    --with-build-root=BUILD --without-debug --without-downloaded-vdb
 proj=algo/blast/ app/ objmgr/ objtools/align_format/ objtools/blast/
 
-ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+#ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CONFIGURE_EXTRA_FLAGS += --with-symbols
-endif
+#endif
 
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
@@ -39,6 +39,9 @@
 
 export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MAKE
 
+# used for run_with_lock
+DEB_CONFIGURE_EXTRA_FLAGS +=  CFLAGS_FOR_BUILD="$(CFLAGS) -fPIE"
+DEB_CONFIGURE_EXTRA_FLAGS += LDFLAGS_FOR_BUILD="$(LDFLAGS)"
 
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
@@ -61,7 +64,7 @@
 instroot = debian/ncbi-blast+/usr
 leg_bin = debian/ncbi-blast+-legacy/usr/share/ncbi-blast+/bin
 override_dh_auto_install-arch:
-	cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
+	# cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
 	cp c++/BUILD/bin/*    $(instroot)/bin/
 
 override_dh_auto_install-indep:
@@ -77,9 +80,12 @@
 	   $(instroot)/bin/windowmasker_2.2.22_adapter
 # Clean up tests, demos, and internal build tools
 	rm -f $(instroot)/bin/*test* $(instroot)/bin/seqdb_demo \
-	    $(instroot)/bin/datatool \
-	    $(instroot)/bin/project_tree_builder \
-	    $(instroot)/lib/ncbi-blast+/libtest_*.so
+	    $(instroot)/bin/datatool $(instroot)/bin/run_with_lock \
+	    $(instroot)/bin/project_tree_builder
+	for x in $(instroot)/bin/*; do \
+	    LD_LIBRARY_PATH=c++/BUILD/lib ldd $$x; \
+	done 2>/dev/null | awk '/BUILD/ { print $$3 }' | sort -u | \
+	xargs cp -v -t $(instroot)/lib/ncbi-blast+
 
 override_dh_install-indep:
 	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
@@ -107,6 +113,3 @@
 
 %:
 	dh $@ -Dc++ --with autotools_dev
-
-get-orig-source:
-	. debian/get-orig-source

## ncbi-blast+ 2.6.0

=== debian/changelog ===
ncbi-blast+ (2.6.0-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sun, 15 Jan 2017 17:12:27 +0000

ncbi-blast+ (2.5.0-4) unstable; urgency=medium

  * New optionally_keep_sequence patch to hang on to sequence data even if
    -parse_deflines recognized a non-local ID, on the condition that the
    environment variable BLAST_ALWAYS_KEEP_SEQUENCE (or configuration
    parameter [BLAST] always_keep_sequence) is set to a "true" value
    (English-only, case-insensitive true, t, yes, y, or 1).  (Closes: #792510.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 14 Dec 2016 22:46:44 -0500

ncbi-blast+ (2.5.0-3) unstable; urgency=medium

  * New suppress_gnutls_version_check patch to prevent bailing when the
    exact compile-time and runtime GNU TLS versions differ; trust dpkg to
    disallow combinations that are actually incompatible.
  * debian/rules: If configure fails (as has been happening on alpha),
    present (BUILD/status/)config.log before bailing.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 07 Dec 2016 21:40:38 -0500

ncbi-blast+ (2.5.0-2) unstable; urgency=medium

  * debian/patches/fix_lib_deps: Patch Makefile.blast_macros.mk to add blast
    to BLAST_LIBS to clear up link errors that could otherwise occur.
  * debian/control: B-D on libgnutls28-dev to enable HTTPS support.
  * Fully take blast2 over from ncbi-tools6, whose implementation has retired.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 05 Dec 2016 23:16:54 -0500

ncbi-blast+ (2.5.0-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 01 Dec 2016 14:40:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                libboost-test-dev,
                libbz2-dev,
                libc-dev-bin,
+               libgnutls28-dev,
                libpcre3-dev,
                time,
                zlib1g-dev
@@ -46,10 +47,20 @@
 Multi-Arch: foreign
 Depends: ncbi-blast+,
          ${misc:Depends}
+Breaks: blast2 (<< 1:2.5.0~)
+Replaces: blast2 (<< 1:2.5.0~)
 Description: NCBI Blast legacy call script
  This package adds some fake scripts to call NCBI+ programs
  with the NCBI blast command line. It makes use of the
  legacy_blast script in ncbi-blast+ package.
- .
- To use those scripts, /usr/share/ncbi-blast+/bin must be added
- to the PATH.
+
+Package: blast2
+Architecture: all
+Multi-Arch: foreign
+Section: oldlibs
+Priority: extra
+Depends: ncbi-blast+-legacy,
+         ${misc:Depends}
+Description: transitional dummy package to ncbi-blast+-legacy
+ This is a transitional dummy package for ncbi-blast+-legacy.
+ It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,13 @@
 DEB_CONFIGURE_EXTRA_FLAGS +=  CFLAGS_FOR_BUILD="$(CFLAGS) -fPIE"
 DEB_CONFIGURE_EXTRA_FLAGS += LDFLAGS_FOR_BUILD="$(LDFLAGS)"
 
+BLAST2_VERSION=1:$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
+
 llp=LD_LIBRARY_PATH
 override_dh_auto_configure:
 	cd c++  &&  $(llp)=$(CURDIR)/c++/BUILD/lib$${$(llp)+:$$$(llp)} \
-	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS)
+	    CONFIG_SHELL=/bin/bash ./configure $(DEB_CONFIGURE_EXTRA_FLAGS) \
+	    ||  (tail -v -n +0 config.log BUILD/status/config.log; exit 1)
 
 override_dh_auto_build-arch:
 	cd c++/BUILD/build  && \
@@ -62,7 +65,7 @@
 	-cat c++/BUILD/build/check.sh.out_err
 
 instroot = debian/ncbi-blast+/usr
-leg_bin = debian/ncbi-blast+-legacy/usr/share/ncbi-blast+/bin
+leg_bin = debian/ncbi-blast+-legacy/usr/bin
 override_dh_auto_install-arch:
 	# cp c++/BUILD/lib/*.so $(instroot)/lib/ncbi-blast+/
 	cp c++/BUILD/bin/*    $(instroot)/bin/
@@ -88,7 +91,12 @@
 	xargs cp -v -t $(instroot)/lib/ncbi-blast+
 
 override_dh_install-indep:
-	if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
+	#if test -d $(leg_bin); then cp debian/legacy/legacy.sh $(leg_bin)/; fi
+	for x in blastall megablast blastpgp bl2seq rpsblast fastacmd formatdb \
+	         seedtop; do \
+	    sed -e "s/.{.*}/$$x/" debian/legacy/legacy.sh > $(leg_bin)/$$x; \
+	    chmod +x $(leg_bin)/$$x; \
+	done
 
 override_dh_clean:
 	cp c++/configure.orig configure.orig.save
@@ -111,5 +119,9 @@
 	rm -rf c++/BUILD
 	mv configure.orig.save c++/configure.orig
 
+override_dh_gencontrol-indep:
+	dh_gencontrol -pblast2 -- -v$(BLAST2_VERSION)
+	dh_gencontrol -Nblast2
+
 %:
 	dh $@ -Dc++ --with autotools_dev
